org.apache.sling.testing.tools.http

## Class RequestDocumentor

- java.lang.Object
- - org.apache.sling.testing.tools.http.RequestDocumentor

    public class RequestDocumentor
    extends Object

Generate RESTful API documentation based on actual requests executed during integration tests, enhanced with user-supplied bits of documentation.

### Field Summary

Fields
`static String` `OUTPUT_BASE`

### Constructor Summary

Constructors
Constructor and Description
`RequestDocumentor(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `documentRequest(PrintWriter pw, RequestExecutor executor, String[] metadataArray)`
`protected File` `getOutputFile()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OUTPUT_BASE

    public static final String OUTPUT_BASE

### Constructor Detail

#### RequestDocumentor

    public RequestDocumentor(String name)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getOutputFile

    protected File getOutputFile()

#### documentRequest

    protected void documentRequest(PrintWriter pw,
                                   RequestExecutor executor,
                                   String[] metadataArray)
                            throws IOException

Throws:
  `IOException`